Subject: Re: CP110 Comphy Issue

From: Miquel Raynal <[email-masked]>
Date: Wed, 27 Nov 2019 12:06:18 +0100

Hi Sven,

Sven Auhagen <[email-masked]> wrote on Wed, 27 Nov 2019
06:08:16 +0000:

> Hi Miquèl,
> 
> I looked through the ATF code and as far as I can tell the pcie clock direction is set based on the sar register in cp110_pcie_clk_cfg
> I am not sure how this can lead to the problem of the comphy not coming up.

Clocks are often responsible of stalls when accessing registers.

I don't know what your problem is, I am giving you suggestions.

> I can also see that the PCIe works in uboot and the Intel NIC is recognized just fine there so the intial comphy setup must be working.

Is U-Boot doing SMC calls too? I suppose it does not.

> I could not find the reset code, can you send me the file where it is?

I thought we had some in the comphy driver, apparently not.

I don't have more inputs so far. Is your debugging giving interesting
infos? Have you checked in ->set_mode() everything looks fine?

Thanks,
Miquèl

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel